==================== 0.1.11 ====================

Sat Mar 31 03:16:42 PDT 2007  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	* configure.ac:
	  - Fixed up the NEWS.
	  - Bumped to version 0.1.11.

Sat Mar 17 18:27:21 PDT 2007  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-url-label.c:
	  - Fix a typo which was causing the widget to never be marked as
	    unmapped, which was preventing it from re-mapping the event window
	    when the widget was shown again.  Bugs #364030 and #353946.
	  - Fix cursors to properly account for selectable widgets at all times.

Sat Mar 17 16:52:59 PDT 2007  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-url-label.c:
	  - Add vim settings at the bottom so things aren't ugly.

Fri Mar  2 03:51:48 PST 2007  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-icon-entry.c:
	* libsexy/sexy-tree-view.c:
	  - Remove some debug printfs.  Bug #355129.

Thu Nov 23 13:00:38 PST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-tooltip.c:
	* libsexy/sexy-tooltip.h:
	  - Get rid of the unused SexyTooltipPriv structure to fix building on
	    solaris.  This fixes bug #378066.

==================== 0.1.10 ====================

Tue Sep 05 00:32:43 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	* NEWS:
	  - Bump to version 0.1.10.

Mon Sep 04 01:10:47 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-icon-entry.c:
	* configure.ac:
	  - Fix a crasher when calling sexy_icon_entry_set_icon() before the
	    widget is realized. This should fix bug #354149.

==================== 0.1.9 ====================

Sat Sep 02 16:00:23 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	* NEWS:
	  - Bump to version 0.1.9.
	  - Fill out the NEWS.

Sat Sep 02 14:33:03 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-icon-entry.c:
	* tests/test-icon-entry.c:
	* AUTHORS:
	  - Patch by Ed Catmur to fix the caret visibility on a SexyIconEntry
	    without an icon. We now intelligently hide or show the icon
	    GdkWindows. (Bug #353671)

Sat Sep 02 13:41:45 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-icon-entry.c:
	  - The patch to fix the valgrind errors ended up generating a lot of
	    runtime error output. Turns out we were calling draw_icon before
	    any windows had been placed and resized, but that this was masked
	    before due to the previous bug. This is now fixed as well.

Sat Sep 02 13:15:33 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-icon-entry.c:
	* AUTHORS:
	  - Patch by Benjamin Otte to fix the initializing of attributes for
	    windows in SexyIconEntry so as to prevent valgrind from
		complaining. (Bug #349701)

Thu Aug 17 11:09:50 PDT 2006  Christian Hammond <chipx86@chipx86.com>

	* libsexy/Makefile.am:
	* configure.ac:
	  - Patch by Steffen Eschenbacher to allow libsexy to link properly
	    when compiling on win32. (Bug #351796)
	  - Bump to version 0.1.8.90.

Mon Jul 31 06:26:34 PDT 2006  Peter Zelezny <zed@xchat.org>

	* libsexy/sexy-spell-entry.c:
	  - Add some hackiness to help it find libenchant on fc5.

Sat Jul 15 22:11:44 MDT 2006  Peter Zelezny <zed@xchat.org>

	* libsexy/sexy-spell-entry.c:
	  - Keep the cursor at the end of the entry if it was there when a
	    word got replaced.

Wed Jun 28 15:56:48 CEST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-tree-view.c:
	  - Fix a problem with tooltip positioning when the tree-view headers
	    weren't shown that caused tooltips to immediately disappear when
	    shown at the bottom of the screen. (Bug #333424)

Tue May  2 13:42:29 MDT 2006  Dom Lachowicz <domlachowicz@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Store the enchant dictionary as "enchant-dict" rather than
	    "gtkspell-dict"

Tue May  2 13:39:34 MDT 2006  Dom Lachowicz <domlachowicz@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Fix enchant usage to pass in byte length of strings, rather than
	    character length.

Tue May  2 13:36:01 MDT 2006  Dom Lachowicz <domlachowicz@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Fix gmodule loading to let glib figure out the so extension.

==================== 0.1.8 ====================

Sat Mar 18 14:07:19 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	  - Woops. Clarify the news. That should have been "before trying
	    libenchant.so."

Sat Mar 18 14:03:19 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-spell-entry.c:
	  - Fix the type-punned pointer warning when grabbing symbols from
		libenchant.
	  - Attempt to open libenchant.so.1 before trying libenchant.so.0. This
	    allows people to use spell checking without requiring the devel
	    package on most distros.
	  - Bump to version 0.1.8.

Sat Mar 18 13:51:30 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-spell-entry.c:
	  - Patch by Jens Granseuer to fix some C99 usage. (Bug #334784)

==================== 0.1.7 ====================

Wed Mar 15 21:00:28 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	* configure.ac:
	  - Fill out the NEWS.
	  - Bump up the version to 0.1.7.

Sun Feb 19 15:31:45 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* libsexy/sexy-spell-entry.c:
	* libsexy/sexy-spell-entry.h:
	* docs/reference/libsexy-sections.txt:
	* docs/reference/tmpl/sexy-spell-entry.sgml:
	  - Move sexy_spell_entry_activate_default_languages to the API.

Sun Feb 19 05:16:10 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Don't redraw the widget until it is realized.

Sun Feb 19 12:39:14 CET 2006  Guillaume Desmottes <cass@skynet.be>

	* libsexy/sexy-spell-entry.c:
	  - Remove a critical warning in sexy_spell_entry_deactivate_language.

Sat Feb 18 15:28:13 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Only activate languages from $LANGUAGE that enchant thinks it has
	    a dictionary for.  This prevents a discrepancy between the active
	    languages and the list of languages that SexySpellEntry reports as
	    having dicts.

Thu Feb 16 17:25:29 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	* libsexy/sexy-spell-entry.h:
	* docs/reference/libsexy-sections.txt:
	* docs/reference/tmpl/sexy-spell-entry.sgml:
	  - Add sexy_spell_entry_get_active_languages.

Thu Feb 16 17:17:47 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Fix a number of potential crashers if certain API gets called
	    before any input is made in the box.

Thu Feb 16 17:07:51 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	* libsexy/sexy-spell-entry.h:
	* docs/reference/libsexy-sections.txt:
	* docs/reference/tmpl/sexy-spell-entry.sgml:
	  - Rename sexy_spell_entry_set_languages to
	    sexy_spell_entry_set_active_languages

Tue Feb 14 15:05:18 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Fix a potential crash with sexy_spell_entry_set_checked.

Sat Feb 11 02:27:05 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Don't check things if we don't have any dictionaries installed.
	    Also remove a debug printf from the last fix that snuck in.

Fri Feb 10 16:28:13 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - When checking words, give enchant the byte count of the string
	    rather than the character length.  This fixes spell-checking on
	    words that contain wide characters.

Wed Feb 08 02:47:47 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	* tests/test-url-label.c:
	  - GtkLabel sucks! When calling set_selectable(), a GdkWindow is
	    created that overlays ours. Now we listen for that property change
	    and raise our GdkWindow, and kindly pass things down to GtkLabel's
	    window. That and some well-placed callbacks brings back
	    set_selectable() support. This fixes bug #329441.

Wed Feb 08 02:40:51 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	* libsexy/sexy-spell-entry.h:
	* docs/reference/libsexy-sections.txt:
	* docs/reference/tmpl/sexy-spell-entry.sgml:
	  - Add sexy_spell_entry_set_languages

Mon Feb 06 03:56:48 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/gtkspell-iso-codes.c:
	* libsexy/gtkspell-iso-codes.h:
	  - Licensing ruckus finally all fixed.

==================== 0.1.6 ====================

Sun Feb 05 16:03:31 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-tree-view.h:
	  - Fix default signal handler's signature.

Sun Feb 05 04:57:28 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* Makefile.am:
	  - Force distcheck's configure stage to use --enable-gtk-doc

Sun Feb 05 04:38:39 MST 2006  David Trowbridge <trowbrds@gmail.com>

	A docs/reference/libsexy-overrides.txt:
	  - Add this to svn, since distcheck wants it

Sun Feb 05 03:35:26 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* configure.ac:
	* NEWS:
	  - Updated the NEWS.
	  - Bumped the version to 0.1.6.

Sun Feb 05 03:24:52 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* AUTHORS:
	* libsexy/sexy-url-label.c:
	  - Commit my new code for SexyUrlLabel that never went in. It works a
	    bit better than the old code, and makes sure the size allocation and
	    request are set when they should be, which the old code didn't. At
	    least, it's supposed to. Anyhow, it fixes a notification-daemon bug,
	    and I've been running this code for a month, so in it goes.

Sun Feb 05 01:05:48 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	* libsexy/sexy-url-label.c:
	* libsexy/sexy-icon-entry.c:
	* libsexy/sexy-tree-view.c:
	* docs/reference/libsexy-sections.txt:
	* docs/reference/tmpl/sexy-tooltip.sgml:
	* docs/reference/tmpl/sexy-spell-entry.sgml:
	* docs/reference/tmpl/sexy-url-label.sgml:
	* docs/reference/tmpl/sexy-icon-entry.sgml:
	* docs/reference/tmpl/sexy-tree-view.sgml:
	  - 100% coverage, dudes.

Sat Feb 04 21:29:26 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	* libsexy/sexy-icon-entry.c:
	* libsexy/sexy-tooltip.c:
	* libsexy/sexy-tree-view.c:
	A docs/reference/libsexy-sections.txt:
	* docs/reference/Makefile.am:
	* docs/reference/tmpl/libsexy-unused.sgml:
	* docs/reference/tmpl/sexy-tooltip.sgml:
	* docs/reference/tmpl/sexy-spell-entry.sgml:
	* docs/reference/tmpl/sexy-url-label.sgml:
	* docs/reference/tmpl/sexy-icon-entry.sgml:
	* docs/reference/tmpl/sexy-tree-view.sgml:
	D docs/reference/tmpl/sexy.sgml:
	  - Developers! Developers! Developers! (aka documentation)

Sat Feb 04 20:14:51 MST 2006  David Trowbridge <trowbrds@gmail.com>

	A docs/reference/libsexy-docs.sgml:
	  - Add top-level sgml

Sat Feb 04 19:55:48 MST 2006  David Trowbridge <trowbrds@gmail.com>

	A docs/reference/tmpl:
	A docs/reference/tmpl/libsexy-unused.sgml:
	A docs/reference/tmpl/sexy-tooltip.sgml:
	A docs/reference/tmpl/sexy-spell-entry.sgml:
	A docs/reference/tmpl/sexy-url-label.sgml:
	A docs/reference/tmpl/sexy.sgml:
	A docs/reference/tmpl/sexy-icon-entry.sgml:
	A docs/reference/tmpl/sexy-tree-view.sgml:
	  - Import generated tmpl

Sat Feb 04 19:28:26 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	  - Bump required version of gtk-doc to 1.4

Sat Feb 04 19:22:52 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* Makefile.am:
	  - Build libsexy.la before documentation, so that the gobject scanner
	    can build.

Sat Feb 04 19:19:19 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Document a couple more symbols

Sat Feb 04 18:57:58 MST 2006  David Trowbridge <trowbrds@gmail.com>

	A docs/Makefile.am:
	A docs/reference:
	A docs/reference/libsexy.types:
	A docs/reference/Makefile.am:
	* configure.ac:
	* Makefile.am:
	  - New, correct gtk-doc infrastructure

Sat Feb 04 18:41:47 MST 2006  David Trowbridge <trowbrds@gmail.com>

	D docs/Makefile.am:
	D docs/reference:
	D docs/reference/libsexy-decl.txt:
	D docs/reference/libsexy-sections.txt:
	D docs/reference/libsexy.types:
	D docs/reference/libsexy-docs.sgml:
	D docs/reference/Makefile.am:
	D docs/reference/tmpl:
	D docs/reference/tmpl/sexy-spell-entry.sgml:
	D docs/reference/tmpl/sexy-url-label.sgml:
	D docs/reference/tmpl/sexy-icon-entry.sgml:
	D docs/reference/libsexy.signals:
	D gtk-doc.make:
	* autogen.sh:
	  - Rip out most of the gtk-doc infrastructure, in preparation for
	    doing it correctly

Sat Feb 04 18:32:51 MST 2006  David Trowbridge <trowbrds@gmail.com>

	D libsexy/sexy-tooltips.c:
	D libsexy/sexy-tooltips.h:
	* libsexy/Makefile.am:
	* libsexy/sexy.h:
	  - Abandon SexyTooltips for now, since it's a really big thing.  Also
	    fix sexy.h to include SexyTooltip and SexyTreeView.

Wed Feb 01 19:22:19 PST 2006  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-icon-entry.c:
	* AUTHORS:
	  - Patch by Jens Granseuer to fix C99 issues so that this still
	    builds with gcc 2.95.

Sun Jan 29 16:24:58 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	* libsexy/sexy-spell-entry.h:
	  - Add API for disabling spell-checking

Thu Jan 19 02:56:17 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* tests/test-url-label.c:
	  - Make the label selectable, in order to show the broken
	    functionality, hopefully so it will get fixed soon.

Mon Jan 9 01:13:24 MST 2006  David Trowbridge <trowbrds@gmail.com>

	A libsexy/sexy-tooltips.c:
	* libsexy/sexy-tooltips.h:
	* libsexy/Makefile.am:
	  - Start in on implementation

Sun Jan 8 23:59:54 MST 2006  David Trowbridge <trowbrds@gmail.com>

	A libsexy/sexy-tooltips.h:
	  - Add API for GtkTooltips work-alike

Sat Jan 7 18:40:51 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	  - Check for iso-codes 0.49, to bring us one step closer to having
	    all the licensing issues resolved.  People will just have to hope
	    their distribution fixes any broken pkg-config files :P

Fri jan 6 00:46:13 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-tree-view.c:
	  - Fix timeouts when moving the mouse around, so tips don't show
	    themselves too quickly.

Fri Jan 6 00:44:28 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-tree-view.c:
	* tests/test-tree-view.c:
	  - Use tooltip callback in the treeview test instead of default tip
	    row.

Thu Jan 5 22:30:51 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-tree-view.h:
	* libsexy/marshal.list:
	* libsexy/sexy-tree-view.c:
	  - Add get-tooltip signal

Thu Jan 5 19:29:10 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-tree-view.c:
	  - Use the same default timeout as GtkTooltips (500ms)

Thu Jan 5 19:24:34 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-tree-view.c:
	* tests/test-tree-view.c:
	  - Calculate the header size by the same method as the GtkTreeView
	    internals and factor it into the tooltip position.

Thu Jan 5 18:59:41 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-tree-view.c:
	* tests/test-tree-view.c:
	  - Get it positioning correctly without headers visible

Thu Jan 5 18:33:27 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-tree-view.c:
	  - Fix a couple bugs with tooltip positioning

Thu Jan 5 18:21:45 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-tooltip.c:
	* libsexy/sexy-tooltip.h:
	* libsexy/sexy-tree-view.c:
	- Add a position_to_rect function for tooltips, use it in the tree
	  view since we want to position the tooltip to an individual cell,
	  not to the entire widget.

Wed Jan 4 22:52:34 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-tree-view.h:
	* libsexy/sexy-tree-view.c:
	* tests/test-tree-view.c:
	  - Get per-row tooltips working.  It still needs a real positioning
	    function, but it's working.

Wed Jan 4 22:06:17 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-tooltip.c:
	* libsexy/sexy-tooltip.h:
	  - Add some API for creating a boring tooltip with a label.

Wed Jan 4 21:28:46 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-tooltip.c:
	  - More implementation

	A tests/test-tooltip.c:
	* tests/Makefile.am:
	  - Add a test program that (for now) just pops up a tooltip window.

Wed Jan 4 20:49:13 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-tooltip.h:
	A libsexy/sexy-tooltip.c:
	  - Basic implementation for tooltip widget

Wed Jan 4 20:48:32 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-tree-view.c:
	* libsexy/sexy-tree-view.h:
	  - ws

Wed Jan 4 20:22:35 MST 2006  David Trowbridge <trowbrds@gmail.com>

	A libsexy/sexy-tooltip.h:
	  - Add the beginnings of a tooltip widget

Wed Jan 4 20:05:23 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-tree-view.c:
	* libsexy/sexy-tree-view.h:
	  - Beginnings of tooltip-related sexiness

Wed Jan 4 18:42:23 MST 2006  David Trowbridge <trowbrds@gmail.com>

	A libsexy/sexy-tree-view.c:
	A tests/test-tree-view.c:
	* tests/Makefile.am:
	* libsexy/Makefile.am:
	  - Add basic widget init and a test program

Wed Jan 4 17:28:56 MST 2006  David Trowbridge <trowbrds@gmail.com>

	A libsexy/sexy-tree-view.h:
	  - Add the beginnings of a sexy treeview widget

Wed Jan 4 17:16:32 MST 2006  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-icon-entry.h:
	* libsexy/sexy-spell-entry.c:
	* libsexy/sexy-url-label.c:
	* libsexy/sexy-spell-entry.h:
	* libsexy/sexy-url-label.h:
	* libsexy/sexy-icon-entry.c:
	* libsexy/sexy.h:
	  - Update copyright headers, make sure everything says LGPL where
	    it's supposed to.

Sat Dec 24 14:30:41 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* ChangeLog:
	* configure.ac:
	  - Bump to version 0.1.5.

Wed Dec 21 17:59:15 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-icon-entry.c:
	  - When we set a GtkImage as an icon for the SexyIconEntry, make sure
	    to ref it. This is typically not an issue in C apps that use it,
	    but in, say, Python, the garbage collector appears to be destroying it
	    from under our feet.

Tue Dec 06 13:28:14 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	  - Okay, the code that sets the requisition width and height back after
	    allocation horribly breaks things, since we do indeed need the width
	    set to 0 for magic to happen. Unfortunately, this throws off the
	    centering code. Anyone using line wrapping in SexyUrlLabel needs to
	    set alignment to 0, 0. There is no other choice.

Tue Dec 06 12:43:12 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	* tests/test-url-label.c:
	* configure.ac:
	  - Possibly fixed a bug in SexyUrlLabel when put in a viewport or in
	    other circumstances. Committing so I can update on my work box and
	    see if it actually fixes this bug I'm having.
	  - Bump th eversion to 0.1.4.90.

Sun Nov 13 16:59:18 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Fix another populate_popup related crash

Sun Nov 13 16:53:57 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Don't crash in populate_popup if there are no words in the entry

Sat Nov 12 23:10:28 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Fix another small leak

Sat Nov 12 23:05:48 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-url-label.c:
	  - Fix a couple memory leaks

Sat Nov 12 03:22:27 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	* libsexy/Makefile.am:
	* configure.ac:
	  - Make enchant into a run-time dependency rather than a compile-
	    time one.

==================== 0.1.4 ====================

Wed Nov 09 01:38:23 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	* configure.ac:
	  - Release 0.1.4.

Wed Nov 09 01:36:51 PST 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/gtkspell-iso-codes.c:
	* libsexy/sexy-spell-entry.c:
	  - gcc4 is picky. Make it complain less.

Wed Nov 09 02:31:37 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Fix return type of entry_strsplit_utf8

Tue Nov 08 23:57:28 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/Makefile.am:
	  - Don't define BUILT_SOURCES twice

Tue Nov 08 17:51:35 MST 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Sweeping changes to make things UTF-8 clean

==================== 0.1.3 ====================

Fri Oct 14 15:24:26 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/Makefile.am:
	  - Actually set the so version number.

Fri Oct 14 11:13:16 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-spell-entry.c:
	* libsexy/sexy-spell-entry.h:
	* tests/test-icon-entry.c:
	* configure.ac:
	  - Build and compile correctly on systems without
		enchant_broker_list_dicts.
	  - Use const SexySpellEntry * when possible.

Fri Oct 14 09:29:22 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/Makefile.am:
	A libsexy/sexy.h:
	* tests/test-icon-entry.c:
	* Makefile.am:
	* configure.ac:
	  - Disable documentation building for now. It breaks, it seems :(
	  - Add libsexy/sexy.h.
	  - Add generation of sexy-enum-types.[ch] for glib enum registration.

Fri Oct 14 01:36:37 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	  - Fix the problem in the wrapping code where the layout is in the
	    wrong location on non-0,0 alignments. This will be submitted to the
	    libview project as well. Now purple_cow will stop being so mad at me!
	    :(

Fri Oct 14 01:01:07 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	* tests/test-url-label.c:
	  - Added limitless wrapping support to the URL Label when
	    line wrapping is turned on.

Fri Oct 14 00:30:45 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-icon-entry.c:
	* libsexy/sexy-icon-entry.h:
	* tests/test-icon-entry.c:
	  - Added sexy_icon_entry_add_clear_button().

Thu Oct 13 20:23:52 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-icon-entry.c:
	* tests/test-icon-entry.c:
	  - Added working Right-To-Left support and multi-icon support.
	    Updated the test program. Seriously, go loook at it, now. It rocks.

Thu Oct 13 18:01:41 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-icon-entry.c:
	  - Move to keeping an array of icon info structs instead of hard-coding
	    them in SexyIconEntryPriv. We now loop these in lots of places. We're
	    very close to having support for icons on both sides!

Thu Oct 13 17:34:38 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-icon-entry.c:
	* libsexy/sexy-icon-entry.h:
	  - Separate the icon-clicked signal into icon-pressed and icon-released,
	    and added a SexyIconEntryPosition parameter to it.

Thu Oct 13 16:52:07 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-icon-entry.c:
	* libsexy/sexy-icon-entry.h:
	* tests/test-icon-entry.c:
	  - Updated the SexyIconEntry API to take an icon position parameter
	    for all icon functions. This is ignored right now, but eventually
	    it'll allow for icons on both sides of the entry.

Thu Oct 13 16:17:36 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-icon-entry.c:
	* tests/test-icon-entry.c:
	  - If the set icon's width is less than the width of GTK_ICON_SIZE_MENU,
	    expand it.
	  - Made the test program more gooder.

Thu Oct 13 16:01:23 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-icon-entry.c:
	* tests/test-icon-entry.c:
	  - Fixed incorrect GdkWindow allocations for the entry window, which
	    on some themes (namely ClearLooks) caused the right-most border to
	    vanish.

Mon Sep 12 13:38:29 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	A acinclude.m4:
	  - Add GTK_DOC_CHECK to acinclude.m4 so that we can call GTK_DOC_CHECK
	    without configure erroring out on systems where gtk-doc-tools isn't
	    installed.

Tue Sep 06 16:09:23 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* configure.ac:
	  - Add a --disable-enchant to configure.

Tue Sep 06 16:03:11 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libsexy/Makefile.am:
	  - Make sure we actually use ENCHANT_CFLAGS and ENCHANT_LIBS.

Tue Sep 06 13:13:25 PDT 2005  Christian Hammond <chipx86@gnupdate.org>

	* libsexy/sexy-spell-entry.c:
	* configure.ac:
	  - Only enable the spell checking aspects of SexySpellEntry if
	    enchant is actually installed.

Fri Jul 29 13:02:01 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  Add a couple more symbols to the strsplit that I forgot

Fri Jul 29 11:38:10 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Use g_object_set_data instead of gtk_object_set_data, add in one
	    spot where the dict object is set that I forgot, which was
	    breaking "add to dictionary"

Wed Jul 27 17:26:09 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Add a bunch of symbols to our split delimiters, so words which
	    are touching them (as is common, with proper punctuation) aren't
	    marked as incorrect.

Wed Jul 27 13:46:12 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* docs/reference/tmpl/sexy-spell-entry.sgml:
	* docs/reference/tmpl/sexy-url-label.sgml:
	* docs/reference/tmpl/sexy-icon-entry.sgml:
	  - For some reason, a few things showed up as undocumented when
	    I built on another machine.  Document them.

Wed Jul 27 03:12:44 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	A gtk-doc.make:
	A docs/reference/libsexy.types:
	* configure.ac:
	* docs/reference/Makefile.am:
	* docs/reference/tmpl/sexy-spell-entry.sgml:
	* docs/reference/tmpl/sexy-url-label.sgml:
	* docs/reference/tmpl/sexy-icon-entry.sgml:
	* docs/reference/libsexy.signals:
	  - Set it up to build a scanner program which introspects our
	    GObjects, and document the signals it finds as a result

Wed Jul 27 02:47:25 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-icon-entry.h:
	* libsexy/sexy-url-label.c:
	* libsexy/sexy-spell-entry.h:
	* libsexy/sexy-url-label.h:
	* libsexy/sexy-icon-entry.c:
	  - Remove spurious * that was causing gtk-doc to print icky warnings
	* docs/reference/Makefile.am:
	  - Fiddle with gtk-doc options
	* libsexy/sexy-spell-entry.c:
	  - Remove spurious * that was causing gtk-doc to print icky warnings
	  - Remove some code that might have been causing a weird replacement
	    bug

Wed Jul 27 02:18:43 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	* libsexy/sexy-url-label.c:
	* libsexy/sexy-icon-entry.c:
	* docs/reference/libsexy-sections.txt:
	* docs/reference/tmpl/sexy-url-label.sgml:
	* docs/reference/tmpl/sexy-icon-entry.sgml:
	  - More documenting, fiddle with stuff to get coverage better

Wed Jul 27 02:08:58 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-url-label.c:
	* libsexy/sexy-url-label.h:
	* libsexy/sexy-icon-entry.c:
	* docs/reference/libsexy-decl.txt:
	* docs/reference/tmpl/sexy-url-label.sgml:
	  - More documentation, remove sexy_url_label_new_with_text from
	    the header, since it has no implementation

Wed Jul 27 01:48:37 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	* libsexy/sexy-icon-entry.c:
	* docs/reference/libsexy-decl.txt:
	* docs/reference/libsexy-docs.sgml:
	* docs/reference/tmpl/sexy-spell-entry.sgml:
	* docs/reference/tmpl/sexy-icon-entry.sgml:
	  - More documentation

Wed Jul 27 01:09:22 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	A docs/reference/libsexy-decl.txt:
	A docs/reference/tmpl/sexy-url-label.sgml:
	A docs/reference/tmpl/sexy-icon-entry.sgml:
	* docs/reference/libsexy-sections.txt:
	* docs/reference/tmpl/sexy-spell-entry.sgml:
	  - More documentation

Tue Jul 26 20:21:30 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	A docs/reference/libsexy-sections.txt:
	A docs/reference/tmpl/sexy-spell-entry.sgml:
	  - Customize documentation for SexySpellEntry
	* libsexy/sexy-spell-entry.c:
	  - Document sexy_spell_entry_new

Tue Jul 26 19:58:47 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	A docs:
	A docs/Makefile.am:
	A docs/reference:
	A docs/reference/Makefile.am:
	A docs/reference/tmpl:
	* Makefile.am:
	* configure.ac:
	* libsexy/sexy-spell.entry.c:
	  - Initial setup for gtk-doc

Tue Jul 26 18:04:38 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.h:
	* libsexy/sexy-spell-entry.c:
	  - Make sexy_spell_entry_recheck_all an internal function,
	    since it really requires some extra information to be
	    set before it's called, and the user should never need
	    to call it anyway.
	  - Implement sexy_spell_entry_get_language_name now that
	    we've got the iso codes stuff from gtkspell

Tue Jul 26 17:57:29 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	* libsexy/sexy-spell-entry.h:
	* tests/test-spell-entry.c:
	  - Get rid of sexy_spell_entry_set_text, since gtk_entry_set_text
	    works just fine now.

Tue Jul 26 17:54:35 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Make things more efficient by splitting into words once whenever
	    the entry changes, instead of splitting every time we need to
	    check (was causing multiple splits on context menu)

Tue Jul 26 17:36:52 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell.entry.c:
	  - Vastly simplify and robustify spell checking by throwing
	    out all the pango logical attribute stuff and just splitting
	    on whitespace

Tue Jul 26 16:42:09 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Finish converting word-checking to a signal

Tue Jul 26 16:03:40 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/marshal.list:
	* libsexy/Makefile.am:
	* libsexy/sexy-spell-entry.c:
	  - Use BOOLEAN instead of BOOL

Tue Jul 26 15:59:13 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	A libsexy/marshal.list:
	* libsexy/Makefile.am:
	* libsexy/sexy-spell.entry.c:
	* libsexy/sexy-spell.entry.h:
	  - First crack at converting word-check into a signal which
	    can be overridden

Tue Jul 26 13:05:57 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Fix spell checking/correction for the first word in the entry.

Sun Jul 24 17:44:06 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Freeing memory is a good thing

Sun Jul 24 17:23:41 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - It's better if we don't read past the end of the array

Sun Jul 24 17:14:36 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Well, this is going against my intuitions, but it doesn't seem
	    to introduce any bugs, and it might fix crashes for this guy

Sun Jul 24 16:25:31 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Get rid of check_range, since we have to check the entire entry
	    every time a change is made, since gtkentry sucks.  Also make
	    checking/popup population more robust wrt word extents

Fri Jul 22 18:52:28 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	* libsexy/sexy-spell-entry.c:
	* libsexy/Makefile.am:
	A libsexy/gtkspell-iso-codes.h:
	A libsexy/gtkspell-iso-codes.c:
	  - Add in the ISO code stuff from gtkspell, so we can present
	    the user with actual language names rather than codes

Fri Jul 22 18:29:15 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Fix 'add to dictionary' menu item, remove some debug output

Fri Jul 22 17:28:13 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Populate the popup when there are multiple dictionaries activated

Fri Jul 22 17:15:02 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	* libsexy/sexy-spell-entry.h:
	  - Make the enchant backend work.  Still doesn't do the fancy things
	    like supporting multiple languages at once

Fri Jul 22 16:43:31 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	* libsexy/sexy-spell-entry.c:
	* libsexy/sexy-spell-entry.h:
	  - Convert existing stuff to use enchant - not quite finished

Fri Jul 22 15:30:56 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Use glib i18n header instead of macros from bonobo

Fri Jul 22 10:09:17 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	* configure.ac:
	  - Bump the version to 0.1.2.

Tue Jul 19 18:43:05 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Fix a crasher when a word is empty

Tue Jul 19 18:09:52 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Small cleanups

Tue Jul 19 17:29:35 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Don't present spelling suggestions if the word checks.  Also
	    clean out some dead code

Tue Jul 19 15:39:01 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Fix all my calls to g_utf8_strlen

Tue Jul 19 15:35:26 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Don't crash if the entry is empty

Tue Jul 19 15:28:32 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Handle attribute cleaning better

Tue Jul 19 15:09:54 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Reset the attribute list on recheck_all, make replace work

Tue Jul 19 14:51:50 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Make it parse word structure and check individual words

Tue Jul 19 04:12:03 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Implement replace_word, ignore_all and add_to_dictionary

Tue Jul 19 04:01:52 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Track the "mark" position when popping up the context menu,
	    use it to determine the word to give suggestions for.

Tue Jul 19 03:42:30 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Add some more word detection code and a handler for
	    button-press that determines which character was clicked

Tue Jul 19 01:19:49 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Add some functions to determine the character extents of the
	    word surrounding a given position

Mon Jul 18 20:33:43 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Copy over an internal GtkEntry function to find the position
	    in the string from mouse coordinates

Mon Jul 18 19:33:09 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Hook up to changed signals in order to set up check updating
	* tests/test-spell-entry.c:
	  - Fix a pointer type warning

Mon Jul 18 19:07:16 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Add NLS and popup population

Mon Jul 18 18:15:23 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Hook into the expose event to manipulate our pango attribute
	    list, stick some attributes over the entire span of the text

Mon Jul 18 18:05:20 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - More initialization
	* tests/Makefile.am:
	A tests/test-spell-entry.c:
	  - Add a test program for the SexySpellEntry
	* configure.ac:
	  - Require pango >= 1.4.0

Mon Jul 18 17:38:15 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Initialize pango attributes

Mon Jul 18 17:28:50 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - Handle entry initialization

Mon Jul 18 16:52:22 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-spell-entry.c:
	  - A little more progress on gtkspell porting

Mon Jul 18 03:50:35 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* configure.ac:
	* libsexy/Makefile.am:
	A libsexy/sexy-spell-entry.h:
	A libsexy/sexy-spell-entry.c:
	  - Add the beginnings of a spell-checked entry widget

Thu Jul 14 00:44:13 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-url-label.c:
	  - make sure that the attribute list is not NULL in
	  sexy_url_label_rescan_label, to quell some pango warnings

Thu Jul 14 00:32:15 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* NEWS:
	* configure.ac:
	  - Update NEWS and bump the version up to 0.1.1.

Thu Jul 14 01:30:20 MDT 2005  David Trowbridge <trowbrds@gmail.com>

	* libsexy/sexy-url-label.c:
	  - apply g_markup_escape_text inside the markup preprocessor, so we
	  don't give gtklabel potentially unparseable text

Wed Jul 13 10:47:38 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	* libsexy/sexy-url-label.h:
	* tests/test-url-label.c:
	  - Change the url_clicked signal to url_activated.

Wed Jul 13 01:40:09 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy.pc.in:
	  - Forgot to put -lsexy in the libs list.

Tue Jul 12 15:07:11 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy.pc.in:
	  - Don't depend on libgalago-gtk, and actually call this library
	    libsexy.

Mon Jul 11 19:37:27 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-icon-entry.c:
	* libsexy/sexy-icon-entry.h:
	* tests/test-icon-entry.c:
	  - Require an explicit GtkImage instead of a GtkWidget. Compile-time
	    checking is good.

Sun Jul 10 17:57:58 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	  - Stick a stock icon on "Copy Link Address"

Sun Jul 10 17:55:39 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	  - Improved the algorithm so that now, multi-line hyperlinks work just
	    fine.
	  - Improved the code that tracks if we're in a link or not. No more
	    stupid hacks.

Thu Jul 07 01:08:08 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* tests/Makefile.am:
	A tests/test-icon-entry.c:
	  - Added a test app for the SexyIconEntry.

Wed Jul 06 10:13:34 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-icon-entry.c:
	  - Use G_DEFINE_TYPE_EXTENDED instead of all that manual stuff.

Wed Jul 06 10:09:42 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/Makefile.am:
	A libsexy/sexy-icon-entry.c:
	A libsexy/sexy-icon-entry.h:
	  - Added SexyIconEntry.

Sat Jun 25 14:56:05 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	  - Use HAND2 instead of HAND1 for the cursor.

Sat Jun 25 14:08:44 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* tests/test-url-label.c:
	  - Expand the demo to show that two URLs work, even when the label's
	    wrapped. Ohhhh yeahhhh..

Sat Jun 25 12:44:29 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	  - Implemented a right-click popup menu for links that has functioning
	    "Open Link" and "Copy Link Address" menu items.

Sat Jun 25 12:30:42 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	* libsexy/sexy-url-label.h:
	  - Properly handle the leave notify so that a click doesn't screw up
	    our mouse cursor or link tracking.
	  - Emit url_clicked when a URL is clicked.

Sat Jun 25 11:42:14 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	  - Assign the URL and for now, display it to stdout when we mouse over
	    it in the label.

Sat Jun 25 11:39:16 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	  - Clean up the list of urls and links structs properly.

Sat Jun 25 11:35:25 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	  - We now actually parse the markup passed to the label and convert
	    the <a href="..">..</a> into a <span> tag and remember the url. All
	    other markup remains and is passed to gtk_label_set_markup.

Sat Jun 25 11:01:10 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	  - Free the URL data when clearing the list of links.

Sat Jun 25 02:57:08 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	  - Leaving the widget restores the mouse cursor properly now.

Sat Jun 25 02:50:46 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	* libsexy/sexy-url-label.h:
	  - A standard hyperlink hand mouse cursor now appears over blue,
	    underlined text.

Fri Jun 24 22:27:53 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	* libsexy/sexy-url-label.c:
	* tests/Makefile.am:
	  - Added a test app for SexyUrlLabel.

Fri Jun 24 22:20:04 PDT 2005  Christian Hammond <chipx86@chipx86.com>

	A libsexy/Makefile.am:
	A libsexy/sexy-url-label.c:
	A libsexy/sexy-url-label.h:
	A tests/Makefile.am:
	A AUTHORS:
	A COPYING:
	A ChangeLog:
	A INSTALL:
	A Makefile.am:
	A NEWS:
	A README:
	A autogen.sh:
	A configure.ac:
	A libsexy.pc.in:
	  - Added the beginnings of libsexy.


